fop 1.1

## org.apache.fop.render.pdf
Class PDFSVGHandler.PDFInfo

    java.lang.Object
      org.apache.fop.render.pdf.PDFSVGHandler.PDFInfo

Enclosing class:
  PDFSVGHandler

    public static class PDFSVGHandler.PDFInfo

extends java.lang.Object

PDF information structure for drawing the XML document.

Field Summary
`org.apache.avalon.framework.configuration.Configuration` `cfg` see PDF_HANDLER_CONFIGURATION
`java.lang.String` `currentFontName` see PDF_FONT_NAME
`int` `currentFontSize` see PDF_FONT_SIZE
`int` `currentXPosition` see PDF_XPOS
`int` `currentYPosition` see PDF_YPOS
`FontInfo` `fi` see PDF_FONT_INFO
`int` `height` see PDF_HEIGHT
`java.io.OutputStream` `outputStream` see OUTPUT_STREAM
`boolean` `paintAsBitmap` true if SVG should be rendered as a bitmap instead of natively
`PDFResourceContext` `pdfContext` see PDF_CONTEXT
`PDFDocument` `pdfDoc` see PDF_DOCUMENT
`PDFPage` `pdfPage` see PDF_PAGE
`int` `width` see PDF_WIDTH

Constructor Summary
`PDFSVGHandler.PDFInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pdfDoc

    public PDFDocument pdfDoc

  see PDF_DOCUMENT

### outputStream

    public java.io.OutputStream outputStream

  see OUTPUT_STREAM

### pdfPage

    public PDFPage pdfPage

  see PDF_PAGE

### pdfContext

    public PDFResourceContext pdfContext

  see PDF_CONTEXT

### width

    public int width

  see PDF_WIDTH

### height

    public int height

  see PDF_HEIGHT

### fi

    public FontInfo fi

  see PDF_FONT_INFO

### currentFontName

    public java.lang.String currentFontName

  see PDF_FONT_NAME

### currentFontSize

    public int currentFontSize

  see PDF_FONT_SIZE

### currentXPosition

    public int currentXPosition

  see PDF_XPOS

### currentYPosition

    public int currentYPosition

  see PDF_YPOS

### cfg

    public org.apache.avalon.framework.configuration.Configuration cfg

  see PDF_HANDLER_CONFIGURATION

### paintAsBitmap

    public boolean paintAsBitmap

  true if SVG should be rendered as a bitmap instead of natively

Constructor Detail

### PDFSVGHandler.PDFInfo

    public PDFSVGHandler.PDFInfo()

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.